Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.dom
Class BXDoc

    java.lang.Object
      org.basex.api.dom.BXNode
          org.basex.api.dom.BXDoc

All Implemented Interfaces:
  org.w3c.dom.Document, org.w3c.dom.Node

    public final class BXDoc

extends BXNode
implements org.w3c.dom.Document

DOM - Document implementation.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`BXDoc(Nod n)` Constructor.

Method Summary
`org.w3c.dom.Node` | `adoptNode(org.w3c.dom.Node source)`
`org.w3c.dom.Attr` | `createAttribute(java.lang.String nm)`
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String uri, java.lang.String qn)`
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String dat)`
`org.w3c.dom.Comment` | `createComment(java.lang.String dat)`
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()`
`org.w3c.dom.Element` | `createElement(java.lang.String nm)`
`org.w3c.dom.Element` | `createElementNS(java.lang.String uri, java.lang.String qn)`
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)`
`BXPI` | `createProcessingInstruction(java.lang.String t, java.lang.String dat)`
`org.w3c.dom.Text` | `createTextNode(java.lang.String dat)`
`org.w3c.dom.DocumentType` | `getDoctype()`
`org.w3c.dom.Element` | `getDocumentElement()`
`java.lang.String` | `getDocumentURI()`
`org.w3c.dom.DOMConfiguration` | `getDomConfig()`
`org.w3c.dom.Element` | `getElementById(java.lang.String elementId)`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String name)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
`org.w3c.dom.DOMImplementation` | `getImplementation()`
`java.lang.String` | `getInputEncoding()`
`org.w3c.dom.Document` | `getOwnerDocument()`
`boolean` | `getStrictErrorChecking()`
`java.lang.String` | `getXmlEncoding()`
`boolean` | `getXmlStandalone()`
`java.lang.String` | `getXmlVersion()`
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)`
`void` | `normalizeDocument()`
`org.w3c.dom.Node` | `renameNode(org.w3c.dom.Node n, java.lang.String namespaceURI, java.lang.String qualifiedName)`
`void` | `setDocumentURI(java.lang.String documentURI)`
`void` | `setStrictErrorChecking(boolean strictErrorChecking)`
`void` | `setXmlStandalone(boolean xmlStandalone)`
`void` | `setXmlVersion(java.lang.String xmlVersion)`

Methods inherited from class org.basex.api.dom.BXNode
`appendChild, cloneNode, compareDocumentPosition, error, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNod, getNodeName, getNodeType, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### BXDoc

    public BXDoc(Nod n)

  Constructor.

  Parameters:
    `n` - node reference

Method Detail

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Specified by:
    `getOwnerDocument` in interface `org.w3c.dom.Node`
  Overrides:
    `getOwnerDocument` in class `BXNode`

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node source)

  Specified by:
    `adoptNode` in interface `org.w3c.dom.Document`

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String nm)

  Specified by:
    `createAttribute` in interface `org.w3c.dom.Document`

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String uri,
                                              java.lang.String qn)

  Specified by:
    `createAttributeNS` in interface `org.w3c.dom.Document`

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String dat)

  Specified by:
    `createCDATASection` in interface `org.w3c.dom.Document`

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String dat)

  Specified by:
    `createComment` in interface `org.w3c.dom.Document`

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Specified by:
    `createDocumentFragment` in interface `org.w3c.dom.Document`

### createElement

    public org.w3c.dom.Element createElement(java.lang.String nm)

  Specified by:
    `createElement` in interface `org.w3c.dom.Document`

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String uri,
                                               java.lang.String qn)

  Specified by:
    `createElementNS` in interface `org.w3c.dom.Document`

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)

  Specified by:
    `createEntityReference` in interface `org.w3c.dom.Document`

### createProcessingInstruction

    public BXPI createProcessingInstruction(java.lang.String t,
                                            java.lang.String dat)

  Specified by:
    `createProcessingInstruction` in interface `org.w3c.dom.Document`

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String dat)

  Specified by:
    `createTextNode` in interface `org.w3c.dom.Document`

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

  Specified by:
    `getDoctype` in interface `org.w3c.dom.Document`

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Specified by:
    `getDocumentElement` in interface `org.w3c.dom.Document`

### getDocumentURI

    public java.lang.String getDocumentURI()

  Specified by:
    `getDocumentURI` in interface `org.w3c.dom.Document`

### getDomConfig

    public org.w3c.dom.DOMConfiguration getDomConfig()

  Specified by:
    `getDomConfig` in interface `org.w3c.dom.Document`

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

  Specified by:
    `getElementById` in interface `org.w3c.dom.Document`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String name)

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Document`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Document`

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Specified by:
    `getImplementation` in interface `org.w3c.dom.Document`

### getInputEncoding

    public java.lang.String getInputEncoding()

  Specified by:
    `getInputEncoding` in interface `org.w3c.dom.Document`

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  Specified by:
    `getStrictErrorChecking` in interface `org.w3c.dom.Document`

### getXmlEncoding

    public java.lang.String getXmlEncoding()

  Specified by:
    `getXmlEncoding` in interface `org.w3c.dom.Document`

### getXmlStandalone

    public boolean getXmlStandalone()

  Specified by:
    `getXmlStandalone` in interface `org.w3c.dom.Document`

### getXmlVersion

    public java.lang.String getXmlVersion()

  Specified by:
    `getXmlVersion` in interface `org.w3c.dom.Document`

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)

  Specified by:
    `importNode` in interface `org.w3c.dom.Document`

### normalizeDocument

    public void normalizeDocument()

  Specified by:
    `normalizeDocument` in interface `org.w3c.dom.Document`

### renameNode

    public org.w3c.dom.Node renameNode(org.w3c.dom.Node n,
                                       java.lang.String namespaceURI,
                                       java.lang.String qualifiedName)

  Specified by:
    `renameNode` in interface `org.w3c.dom.Document`

### setDocumentURI

    public void setDocumentURI(java.lang.String documentURI)

  Specified by:
    `setDocumentURI` in interface `org.w3c.dom.Document`

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  Specified by:
    `setStrictErrorChecking` in interface `org.w3c.dom.Document`

### setXmlStandalone

    public void setXmlStandalone(boolean xmlStandalone)

  Specified by:
    `setXmlStandalone` in interface `org.w3c.dom.Document`

### setXmlVersion

    public void setXmlVersion(java.lang.String xmlVersion)

  Specified by:
    `setXmlVersion` in interface `org.w3c.dom.Document`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD